Bug 27143

Summary: [Gtk][REGRESSION] XHR test failures after r45558
Product: WebKit Reporter: Jan Alonzo <jmalonzo>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: adam.bergkvist, eric, gns
Priority: P2 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
disable sniffing when requested none

Description Jan Alonzo 2009-07-09 23:47:43 PDT
This is a tracking bug for the three Gtk XHR test failures.

Changeset: http://trac.webkit.org/changeset/45558

Gustavo reported to following libsoup bug: http://bugzilla.gnome.org/show_bug.cgi?id=587907

XHR test failures:
http/tests/xmlhttprequest/access-control-basic-allow-preflight-cache.html
http/tests/xmlhttprequest/cache-override.html
http/tests/xmlhttprequest/small-chunks-response-text.html
Comment 1 Jan Alonzo 2009-08-01 02:48:33 PDT
libsoup bug - http://bugzilla.gnome.org/show_bug.cgi?id=590436
Comment 2 Gustavo Noronha (kov) 2009-08-12 14:58:43 PDT
Created attachment 34696 [details]
disable sniffing when requested

 LayoutTests/ChangeLog                              |   11 +++++++++++
 LayoutTests/platform/gtk/Skipped                   |    1 -
 WebCore/ChangeLog                                  |   13 +++++++++++++
 .../platform/network/soup/ResourceHandleSoup.cpp   |    3 +++
 4 files changed, 27 insertions(+), 1 deletions(-)
Comment 3 Xan Lopez 2009-08-13 03:30:25 PDT
Comment on attachment 34696 [details]
disable sniffing when requested

I endorse this patch or product.
Comment 4 Xan Lopez 2009-08-13 03:31:44 PDT
*** Bug 27981 has been marked as a duplicate of this bug. ***
Comment 5 Eric Seidel (no email) 2009-08-13 09:36:45 PDT
Comment on attachment 34696 [details]
disable sniffing when requested

Clearing flags on attachment: 34696

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	LayoutTests/ChangeLog
	M	LayoutTests/platform/gtk/Skipped
	M	WebCore/ChangeLog
	M	WebCore/platform/network/soup/ResourceHandleSoup.cpp
Committed r47203
	M	WebCore/ChangeLog
	M	WebCore/platform/network/soup/ResourceHandleSoup.cpp
	M	LayoutTests/platform/gtk/Skipped
	M	LayoutTests/ChangeLog
r47203 = 185743137afcd5b2b1ee59ebdea74c5d87cbd485 (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/47203
Comment 6 Eric Seidel (no email) 2009-08-13 09:36:48 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Jan Alonzo 2009-08-13 11:28:28 PDT
Reopening. We still have two failing tests in this bug. The patch only fixed one.
Comment 8 Jan Alonzo 2009-08-13 21:32:07 PDT
(In reply to comment #3)
> (From update of attachment 34696 [details])
> I endorse this patch or product.

I reverted the patch as it made the http tests fail.
Comment 9 Eric Seidel (no email) 2009-08-13 22:56:25 PDT
Thank you.  Sorry that the commit-queue (currently) has no way to test on gtk.
Comment 10 Jan Alonzo 2009-08-21 16:31:18 PDT
(In reply to comment #9)
> Thank you.  Sorry that the commit-queue (currently) has no way to test on gtk.

This is already fixed and landed as http://trac.webkit.org/changeset/47569.